curl --request POST \
--url https://api.steamgold.dev/v1/gifts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "<string>",
"item": "<string>",
"target": {
"inviteUrl": "<string>",
"region": "<string>",
"packageId": 123
},
"email": "jsmith@example.com",
"fee": "excluded",
"code": "<string>",
"attribution": {
"utm_source": "<string>",
"utm_medium": "<string>"
},
"successUrl": "<string>",
"failureUrl": "<string>",
"callbackUrl": "<string>"
}
'import requests
url = "https://api.steamgold.dev/v1/gifts"
payload = {
"platform": "<string>",
"item": "<string>",
"target": {
"inviteUrl": "<string>",
"region": "<string>",
"packageId": 123
},
"email": "jsmith@example.com",
"fee": "excluded",
"code": "<string>",
"attribution": {
"utm_source": "<string>",
"utm_medium": "<string>"
},
"successUrl": "<string>",
"failureUrl": "<string>",
"callbackUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platform: '<string>',
item: '<string>',
target: {inviteUrl: '<string>', region: '<string>', packageId: 123},
email: 'jsmith@example.com',
fee: 'excluded',
code: '<string>',
attribution: {utm_source: '<string>', utm_medium: '<string>'},
successUrl: '<string>',
failureUrl: '<string>',
callbackUrl: '<string>'
})
};
fetch('https://api.steamgold.dev/v1/gifts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"intentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verified": true,
"intentAmount": 123,
"intentCurrency": "<string>",
"paymentAmount": 123,
"paymentCurrency": "<string>",
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Создание намерения
Создает намерение для покупки Steam-игры в подарок
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Описание намерения
Платформа для которой создается намерение (например, steam-gift)
Идентификатор игры (appId в Steam)
Данные получателя подарка
Show child attributes
Show child attributes
Электронная почта геймера для получения чека
Если included то комиссия включена в сумму, если excluded то комиссия не включена в сумму, naive считает комиссию от суммы оплаты.
included, excluded, naive Промокод применяемый к покупке
Атрибуция трафика (если есть). Подробнее в документации
Show child attributes
Show child attributes
URL для перенаправления после успешной оплаты
URL для перенаправления после неуспешной оплаты
URL для оповещения об успешной оплате
Response
intent response
HTTP-код ответа
Идентификатор намерения
Флаг успешной верификации намерения
Сумма намерения
Валюта намерения
Сумма оплаты для геймера
Валюта платежа
Сообщение об успешном выполнении операции